﻿using DesktopTools.Models;

namespace DesktopTools.Interfaces
{
	/// <summary>
	/// Работа с контролом элемента
	/// </summary>
	public interface IControlViewEntityElement
	{
		/// <summary>
		/// Открытие формы
		/// </summary>
		/// <param name="model"></param>
		void OpenControl(ControlOpenModel model);

		/// <summary>
		/// Новый экземпляр контрола
		/// </summary>
		/// <returns></returns>
		IControl GetInstanceControl();
	}
}